
Read("read.gi");
Read("summH.gi");

TWIGH0 := List([1..2], x -> []);
TWIGH1 := List([1..2], x -> []);
TWIGH2 := List([1..2], x -> []);

for l in listH0 do
    i := l[1]; j := l[2]; k := l[3]; 
    if not IsBound(TWIGH0[i][j]) then TWIGH0[i][j] := []; fi;
    file := Concatenation("twigsH/twig0_",String(i),"_",String(j),"_",
                            String(k),".gi");
    Read(file);
od;

for l in listH1 do
    i := l[1]; j := l[2]; k := l[3];
    if not IsBound(TWIGH1[i][j]) then TWIGH1[i][j] := []; fi;
    file := Concatenation("twigsH/twig1_",String(i),"_",String(j),"_",
                            String(k),".gi");
    Read(file);
od;

for l in listH2 do
    i := l[1]; j := l[2]; k := l[3];
    if not IsBound(TWIGH2[i][j]) then TWIGH2[i][j] := []; fi;
    file := Concatenation("twigsH/twig2_",String(i),"_",String(j),"_",
                            String(k),".gi");
    Read(file);
od;

DisplayBranchInfoH0 := function(j)
    local k, i, T, a, b, l;
    for k in [1..BranchLimitH0(j)] do
        for i in [1..2] do
            if IsBound(TWIGH0[i][j]) and IsBound(TWIGH0[i][j][k]) then
                T := TWIGH0[i][j][k];
                a := DepthOfTwig(T);
                b := SizeOfTwig(T);
                l := 5-Length(DigitsNumber(b,10));
                Print(a,"-",b);
                if l = 1 then Print(" "); fi;
                if l = 2 then Print("  "); fi;
                if l = 3 then Print("   "); fi;
                if l = 4 then Print("    "); fi;
            else
                Print("-------");
            fi;
            if i=1 then 
                Print("  "); 
            else
                Print("\n");
            fi;
        od;
    od;
    Print("\n");
end;

DisplayBranchInfoH1 := function(j)
    local k, i, T, a, b, l;
    for k in [1..BranchLimitH1(j)] do
        for i in [1..2] do
            if IsBound(TWIGH1[i][j]) and IsBound(TWIGH1[i][j][k]) then
                T := TWIGH1[i][j][k];
                a := DepthOfTwig(T);
                b := SizeOfTwig(T);
                l := 5-Length(DigitsNumber(b,10));
                Print(a,"-",b);
                if l = 1 then Print(" "); fi;
                if l = 2 then Print("  "); fi;
                if l = 3 then Print("   "); fi;
                if l = 4 then Print("    "); fi;
            else
                Print("-------");
            fi;
            if i=1 then 
                Print("  ");
            else
                Print("\n");
            fi;
        od;
    od;
    Print("\n");
end;

DisplayBranchInfoH2 := function(j)
    local k, i, T, a, b, l;
    for k in [1..BranchLimitH2(j)] do
        for i in [1..2] do
            if IsBound(TWIGH2[i][j]) and IsBound(TWIGH2[i][j][k]) then
                T := TWIGH2[i][j][k];
                a := DepthOfTwig(T);
                b := SizeOfTwig(T);
                l := 5-Length(DigitsNumber(b,10));
                Print(a,"-",b);
                if l = 1 then Print(" "); fi;
                if l = 2 then Print("  "); fi;
                if l = 3 then Print("   "); fi;
                if l = 4 then Print("    "); fi;
            else
                Print("-------");
            fi;
            if i=1 then 
                Print("  ");
            else
                Print("\n");
            fi;
        od;
    od;
    Print("\n");
end;


