#############################################################################
##
##  PkgInfo.g                         GAP4 Package `Kant'
##  

SetPackageInfo( rec(

PackageName      := "coclass",
Version          := "1.0",
Date             := "27/02/2003",
ArchiveURL       := "http://www.tu-bs.de/~beick/soft/polycyclic",
ArchiveFormats   := ".zoo",

Persons          := [ rec( 
       LastName      := "Eick",
       FirstNames    := "Bettina",
       IsAuthor      := true,
       IsMaintainer  := true,
       Email         := "b.eick@tu-bs.de",
       WWWHome       := "http://www.tu-bs.de/~beick",
       PostalAddress := Concatenation(
            [ "Bettina Eick\n",
              "Fachbereich Mathematik und Informatik\n",
              "Technische Universit\"at Braunschweig\n",
              "Pockelsstr. 14, D-38106 Braunschweig, ",
              "Germany" ]),
       Place         := "Braunschweig",
       Institution   := "Fachbereich Mathematik und Informatik"), ],


Status           := "preparation",
CommunicatedBy   := "",
AcceptDate       := "",
README_URL       := "",
PkgInfoURL       := "",
AbstractHTML     := "",
PackageWWWHome   := "",
PackageDoc       := rec( BookName  := "coclass",
                         Archive   := "",
                         HTMLStart := "",
                         PDFFile   := "",
                         SixFile   := "doc/manual.six",
                         LongTitle := "Computing space groups",
                         AutoLoad  := false),

Dependencies     := rec(
                         GAP                    := ">= 4.3fix4",
                         NeededOtherPackages    := [ [ "anupq", "2.0" ],
                                                     [ "nq", "2.0" ] ],
                         SuggestedOtherPackages := [ ],
                         ExternalConditions     := [ ]),

AvailabilityTest := ReturnTrue,
BannerString     := "Loading coclass 1.0 ...\n",
AutoLoad         := false,
TestFile         := "",
Keywords         := [ ]
));

